Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSceneLight Class Reference

`#include <deScene_priv.hpp>`

Inheritance diagram for deSceneLight:

[legend]
Collaboration diagram for deSceneLight:

[legend]
List of all members.

## Public Member Functions
| deSceneLight ()
virtual | ~deSceneLight ()
IdeSceneObject::interface_t | GetSOIType ()
void * | GetSOInterface (IdeSceneObject::interface_t i)
void | SetWorldTransform (const deTransformInfo &mat)
| set the world transformation of this object
long | TraverseForRender (IdeSceneGraph::deSceneTraversal *Params)
void | SetLightData (const IdeRenderLight::LightData &lightdata)
const IdeRenderLight::LightData * | GetLightData ()
const IdeRenderLight * | GetRenderLight ()
## Public Attributes
| WorldObjectClassDef
## Private Attributes
IdeRenderLight * | m_RenderLight

## Constructor & Destructor Documentation

deSceneLight::deSceneLight | ( |  | ) |

deSceneLight::~deSceneLight | ( |  | ) | `[virtual]`

## Member Function Documentation

const IdeRenderLight::LightData * deSceneLight::GetLightData | ( |  | ) | `[virtual]`

| Implements IdeSceneLight.

const IdeRenderLight * deSceneLight::GetRenderLight | ( |  | ) | `[virtual]`

| Implements IdeSceneLight.

void* deSceneLight::GetSOInterface | ( | IdeSceneObject::interface_t | i | ) | `[virtual]`

| Reimplemented from deSceneObject.

IdeSceneObject::interface_t deSceneLight::GetSOIType | ( |  | ) | `[virtual]`

| Reimplemented from deSceneObject.

void deSceneLight::SetLightData | ( | const IdeRenderLight::LightData & | lightdata | ) | `[virtual]`

| Implements IdeSceneLight.

void deSceneLight::SetWorldTransform | ( | const deTransformInfo & | mat | ) | `[virtual]`

| set the world transformation of this object Reimplemented from deSceneObject.

long deSceneLight::TraverseForRender | ( | IdeSceneGraph::deSceneTraversal * | Params | ) | `[virtual]`

| Implements deSceneObject.

## Member Data Documentation

IdeRenderLight* deSceneLight::m_RenderLight`[private]`

deSceneLight::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deScene_priv.hpp
- deSolidObject.cpp